#include "campwizard.h"
#include "ui_campwizard.h"

CampWizard::CampWizard(QWidget *parent) :
    QWizard(parent),
    ui(new Ui::CampWizard)
{
    ui->setupUi(this);

    m_dataBinder = new ObjectBinder(this);
    m_dataBinder->registerBinding(ui->start);
    m_dataBinder->registerBinding(ui->end);
}

CampWizard::~CampWizard()
{
    delete ui;
}

void CampWizard::setData(const CampDataPtr &data)
{
    m_data = data;

    m_dataBinder->setData(data.data());
}

void CampWizard::on_btnAdd_clicked()
{

}
