#ifndef CAMPWIZARD_H
#define CAMPWIZARD_H

#include <QWizard>
#include "data/camp-data.h"
#include <objectbinder.h>

namespace Ui {
class CampWizard;
}

class CampWizard : public QWizard
{
    Q_OBJECT

public:
    explicit CampWizard(QWidget *parent = 0);
    ~CampWizard();

    void setData(const CampDataPtr &data);

private slots:
    void on_btnAdd_clicked();

private:
    Ui::CampWizard *ui;
    CampDataPtr m_data;
    ObjectBinder *m_dataBinder;
};

#endif // CAMPWIZARD_H
